Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2606.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/bug-lf-2606.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/bug-lf-2606.exp
@@ -1,108 +1,108 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0">
+      <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <rsc_op id="8" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node1" on_node_uuid="node1">
+      <rsc_op id="9" operation="monitor" operation_key="rsc2_monitor_10000" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_interval="10000" CRM_meta_name="monitor" CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <rsc_op id="7" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1"/>
+        <rsc_op id="8" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <rsc_op id="7" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
+      <rsc_op id="8" operation="start" operation_key="rsc2_start_0" on_node="node1" on_node_uuid="node1">
         <primitive id="rsc2" class="ocf" provider="pacemaker" type="Dummy"/>
         <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="node1" CRM_meta_timeout="20000" />
       </rsc_op>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="6" operation="stop" operation_key="rsc2_stop_0">
+      <pseudo_event id="7" operation="stop" operation_key="rsc2_stop_0">
         <attributes CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="12" operation="stop" operation_key="rsc3:1_stop_0">
+      <pseudo_event id="13" operation="stop" operation_key="rsc3:1_stop_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="11" operation="demote" operation_key="rsc3:1_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
-        <pseudo_event id="15" operation="stop" operation_key="ms3_stop_0"/>
+        <pseudo_event id="12" operation="demote" operation_key="rsc3:1_demote_0"/>
       </trigger>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <pseudo_event id="16" operation="stop" operation_key="ms3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="5">
     <action_set>
-      <pseudo_event id="11" operation="demote" operation_key="rsc3:1_demote_0">
+      <pseudo_event id="12" operation="demote" operation_key="rsc3:1_demote_0">
         <attributes CRM_meta_clone="1" CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="19" operation="demote" operation_key="ms3_demote_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <pseudo_event id="20" operation="demote" operation_key="ms3_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="6" priority="1000000">
     <action_set>
-      <pseudo_event id="20" operation="demoted" operation_key="ms3_demoted_0">
+      <pseudo_event id="21" operation="demoted" operation_key="ms3_demoted_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="11" operation="demote" operation_key="rsc3:1_demote_0"/>
+        <pseudo_event id="12" operation="demote" operation_key="rsc3:1_demote_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="19" operation="demote" operation_key="ms3_demote_0"/>
+        <pseudo_event id="20" operation="demote" operation_key="ms3_demote_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="7">
     <action_set>
-      <pseudo_event id="19" operation="demote" operation_key="ms3_demote_0">
+      <pseudo_event id="20" operation="demote" operation_key="ms3_demote_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
@@ -110,77 +110,76 @@
   </synapse>
   <synapse id="8" priority="1000000">
     <action_set>
-      <pseudo_event id="16" operation="stopped" operation_key="ms3_stopped_0">
+      <pseudo_event id="17" operation="stopped" operation_key="ms3_stopped_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="rsc3:1_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="rsc3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="15" operation="stop" operation_key="ms3_stop_0"/>
+        <pseudo_event id="16" operation="stop" operation_key="ms3_stop_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="9">
     <action_set>
-      <pseudo_event id="15" operation="stop" operation_key="ms3_stop_0">
+      <pseudo_event id="16" operation="stop" operation_key="ms3_stop_0">
         <attributes CRM_meta_clone_max="2" CRM_meta_clone_node_max="1" CRM_meta_globally_unique="false" CRM_meta_master_max="1" CRM_meta_master_node_max="1" CRM_meta_notify="false" CRM_meta_timeout="20000" />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="20" operation="demoted" operation_key="ms3_demoted_0"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <pseudo_event id="21" operation="demoted" operation_key="ms3_demoted_0"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="10">
     <action_set>
-      <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="node2"/>
-        </downed>
-      </crm_event>
-    </action_set>
-    <inputs/>
-  </synapse>
-  <synapse id="11">
-    <action_set>
-      <pseudo_event id="21" operation="stonith_complete" operation_key="stonith_complete">
+      <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="22" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2"/>
       </trigger>
     </inputs>
   </synapse>
-  <synapse id="12">
+  <synapse id="11">
     <action_set>
-      <pseudo_event id="2" operation="all_stopped" operation_key="all_stopped">
+      <pseudo_event id="3" operation="all_stopped" operation_key="all_stopped">
         <attributes />
       </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <pseudo_event id="5" operation="stop" operation_key="rsc1_stop_0"/>
+        <pseudo_event id="6" operation="stop" operation_key="rsc1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="6" operation="stop" operation_key="rsc2_stop_0"/>
+        <pseudo_event id="7" operation="stop" operation_key="rsc2_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="12" operation="stop" operation_key="rsc3:1_stop_0"/>
+        <pseudo_event id="13" operation="stop" operation_key="rsc3:1_stop_0"/>
       </trigger>
       <trigger>
-        <pseudo_event id="21" operation="stonith_complete" operation_key="stonith_complete"/>
+        <pseudo_event id="22" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
+  <synapse id="12">
+    <action_set>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="node2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="node2" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="node2"/>
+        </downed>
+      </crm_event>
+    </action_set>
+    <inputs/>
+  </synapse>
 </transition_graph>
-
Index: pacemaker-1.1.16+20170320.77ea74d/pengine/test10/concurrent-fencing.exp
===================================================================
--- pacemaker-1.1.16+20170320.77ea74d.orig/pengine/test10/concurrent-fencing.exp
+++ pacemaker-1.1.16+20170320.77ea74d/pengine/test10/concurrent-fencing.exp
@@ -1,39 +1,40 @@
 <transition_graph cluster-delay="60s" stonith-timeout="60s" failed-stop-offset="INFINITY" failed-start-offset="INFINITY"  transition_id="0">
   <synapse id="0">
     <action_set>
-      <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3">
-        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid3"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete">
+        <attributes />
+      </pseudo_event>
     </action_set>
-    <inputs/>
+    <inputs>
+      <trigger>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
+      </trigger>
+      <trigger>
+        <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+      </trigger>
+      <trigger>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
+      </trigger>
+    </inputs>
   </synapse>
   <synapse id="1">
     <action_set>
-      <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
-        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
-        <downed>
-          <node id="uuid2"/>
-        </downed>
-      </crm_event>
+      <pseudo_event id="4" operation="all_stopped" operation_key="all_stopped">
+        <attributes />
+      </pseudo_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
-      </trigger>
-      <trigger>
-        <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
+        <pseudo_event id="5" operation="stonith_complete" operation_key="stonith_complete"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="2">
     <action_set>
-      <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
-        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+      <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3">
+        <attributes CRM_meta_on_node="node3" CRM_meta_on_node_uuid="uuid3" CRM_meta_stonith_action="reboot" />
         <downed>
-          <node id="uuid1"/>
+          <node id="uuid3"/>
         </downed>
       </crm_event>
     </action_set>
@@ -41,32 +42,31 @@
   </synapse>
   <synapse id="3">
     <action_set>
-      <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="2" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2">
+        <attributes CRM_meta_on_node="node2" CRM_meta_on_node_uuid="uuid2" CRM_meta_op_no_wait="true" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid2"/>
+        </downed>
+      </crm_event>
     </action_set>
     <inputs>
       <trigger>
-        <crm_event id="3" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
-      </trigger>
-      <trigger>
-        <crm_event id="4" operation="stonith" operation_key="stonith-node2-reboot" on_node="node2" on_node_uuid="uuid2"/>
+        <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1"/>
       </trigger>
       <trigger>
-        <crm_event id="5" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
+        <crm_event id="3" operation="stonith" operation_key="stonith-node3-reboot" on_node="node3" on_node_uuid="uuid3"/>
       </trigger>
     </inputs>
   </synapse>
   <synapse id="4">
     <action_set>
-      <pseudo_event id="1" operation="all_stopped" operation_key="all_stopped">
-        <attributes />
-      </pseudo_event>
+      <crm_event id="1" operation="stonith" operation_key="stonith-node1-reboot" on_node="node1" on_node_uuid="uuid1">
+        <attributes CRM_meta_on_node="node1" CRM_meta_on_node_uuid="uuid1" CRM_meta_stonith_action="reboot" />
+        <downed>
+          <node id="uuid1"/>
+        </downed>
+      </crm_event>
     </action_set>
-    <inputs>
-      <trigger>
-        <pseudo_event id="2" operation="stonith_complete" operation_key="stonith_complete"/>
-      </trigger>
-    </inputs>
+    <inputs/>
   </synapse>
 </transition_graph>
